model_defaults = {
    'densenet121': {
        'model_kwargs': {
            'pretrained':True,
        },
        'target_resolution': (224, 224),
    },
    'wideresnet50': {
        'model_kwargs': {
            'pretrained':True,
        },
        'target_resolution': (224, 224),
    },
    'resnet18': {
        'model_kwargs':{
            'pretrained':False,
        },
        'target_resolution': (224, 224),
    },
    'resnet34': {
        'model_kwargs':{
            'pretrained':True,
        },
        'target_resolution': (224, 224),
    },
    'resnet50': {
        'model_kwargs': {
            'pretrained':True,
        },
        'target_resolution': (224, 224),
    },
    'logistic_regression': {},
    'unet-seq': {
        'optimizer': 'Adam'
    },
    'resnet10vw': {
        'model_kwargs':{
            'pretrained': False,
            'width': 16
        },
        'target_resolution': (224, 224),
    },
    'resnet18vw': {
        'model_kwargs':{
            'pretrained': False,
            'width': 64
        },
        'target_resolution': (224, 224),
    },
    'cifar_resnet18': {
        'model_kwargs': {},
        'target_resolution': (224, 224),
    },
    'cifar_resnet50': {
        'model_kwargs': {},
        'target_resolution': (224, 224),
    },
    'mlp': {
        'model_kwargs': {'width': 512},
    }, 
    'convnet': {
        'model_kwargs': {'width': 512},
    },
    'lenet': {
        'model_kwargs': {'width': 512},
    },
    'RN50': {
        'target_resolution': (224, 224),
    }
}